Welcome to mirror list, hosted at ThFree Co, Russian Federation.

gitlab.com/gitlab-org/gitlab-foss.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/no-ee-check8
1 files changed, 8 insertions, 0 deletions
diff --git a/scripts/no-ee-check b/scripts/no-ee-check
new file mode 100755
index 00000000000..bd53de5a949
--- /dev/null
+++ b/scripts/no-ee-check
@@ -0,0 +1,8 @@
+#!/usr/bin/env ruby
+ee_path = File.join(File.expand_path(File.dirname(__FILE__)), '../ee')
+result = Dir.exist?(ee_path)
+
+if result
+ puts 'The repository contains /ee directory. There should be no /ee directory in CE repo.'
+ exit 1
+end